Name:		qtpfsgui
Summary:	A Qt4 graphical user interface that provides a workflow for HDR imaging
Version:	1.9.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		Graphics
URL:		http://qtpfsgui.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		qtpfsgui-1.8.12-fix-desktop.patch
Patch1:		qtpfsgui-1.9.2-fix-str-fmt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	qt4-devel
BuildRequires:	libexiv-devel
BuildRequires:	libOpenEXR-devel
BuildRequires:	fftw3-devel
BuildRequires:	tiff-devel
BuildRequires:	libgomp-devel
BuildRequires:	dos2unix


%description
Qtpfsgui is a Qt4 graphical user interface that aims to provide a 
workflow for HDR imaging.

    * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit 
and 16bit, RAW) of the same scene taken at different exposure setting.
    * Save and load HDR images.
    * Rotate and resize HDR images.
    * Tonemap HDR images.
    * Copy exif data between sets of images.
    * Supports internationalization.


%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%prep
%setup -q
%patch0 -p1 -b .fixdtop
%patch1 -p1 -b .str

# fix EOL
dos2unix -U Changelog
dos2unix -U qtpfsgui.desktop

%build
sed -i -e 's,QMAKE_CXXFLAGS,#QMAKE_CXXFLAGS,g' project.pro
%qmake_qt4 PREFIX=%{buildroot}%{_prefix}
%make

%install
rm -fr %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-category="Graphics" \
  --add-category="Photography" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changelog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}



%changelog
* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.9.3-2pclos2010
- rebuild for libevix2

* Fri Dec 18 2009 Texstar <texstar at gmail.com> 1.9.3-1pclos2010
- gcc update
- 1.9.3

* Thu Aug 02 2007 Texstar <texstar@gmail.com> 1.8.9-2pclos2007
- rebuild against updated libexiv

* Sat Jul 14 2007 Mike Bing <newmikey@pclinuxos.nl> 1.8.9-1pclos2007.0
+ Revision: 28283
- Compiled for PCLOS2007
- Updated version
- original spec from mdv
